/*
 * The Clear BSD License
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 * that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#include "TSI_config.h"

/*
 * Key and TSI channel mapping table definition
 */
key_tsi_mapping_t key_TSI[] = {
    /* TSI allocation for Mutual Key (2 TSI channels are connected to 1 mutual-key)*/
    {kTSI_Chnl_3, kTSI_Chnl_6, 5U, 30U, 0U, 0U, 0U, 0U, 0U, 0U}, /* mutual KEY_0*/
    {kTSI_Chnl_3, kTSI_Chnl_7, 5U, 30U, 0U, 0U, 0U, 0U, 0U, 0U}, /* mutual KEY_1*/
    {kTSI_Chnl_2, kTSI_Chnl_6, 5U, 30U, 0U, 0U, 0U, 0U, 0U, 0U}, /* mutual KEY_2*/
    {kTSI_Chnl_2, kTSI_Chnl_7, 5U, 30U, 0U, 0U, 0U, 0U, 0U, 0U}, /* mutual KEY_3*/

    /* Do NOT move {0xFFU, 0xFFU, 0xFFU, 0xFFU} which indicates the end of the array*/
    {0xFFU, 0xFFU, 0xFFU, 0xFFU, 0U, 0U, 0U, 0U, 0U, 0U} /* The end of the array*/
};

/* If slider not needed, please fill 0xFFU */
slider_tsi_mapping_t slider_TSI[] = {
    /* tsi0, tsi1, tsi0_baseline, tsi1_baseline, baseline_delta, touch_delta */
    /* {kTSI_Chnl9, kTSI_Chnl10, 0, 0, 5, 100},		 */
    /* {kTSI_Chnl9, kTSI_Chnl10, 0, 0, 5, 100},	 */

    /* Do NOT move {0xFFU, 0xFFU, 0xFFU, 0xFFU} which indicates the end of the array */
    {0xFFU, 0xFFU, 0xFFU, 0xFFU, 0xFFU, 0xFFU} /* The end of the array */
};
